Page MenuHomePhabricator

[mlir][linalg] Vectorize linalg.pad_op source copying (static source shape)
ClosedPublic

Authored by springerm on Jun 5 2021, 2:34 AM.

Details

Summary

If the source operand of a linalg.pad_op operation has static shape, vectorize the copying of the source.

Depends On D103679

Diff Detail

Event Timeline

springerm created this revision.Jun 5 2021, 2:34 AM
springerm requested review of this revision.Jun 5 2021, 2:34 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 5 2021, 2:34 AM
springerm updated this revision to Diff 350555.Jun 8 2021, 2:51 AM

no change

nicolasvasilache accepted this revision.Jun 11 2021, 5:04 AM
This revision is now accepted and ready to land.Jun 11 2021, 5:04 AM
This revision was landed with ongoing or failed builds.Jun 13 2021, 10:38 PM
This revision was automatically updated to reflect the committed changes.